[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.DoAddDockClient

Adjust the Parent of a newly docked Client.

## Declaration

Source position: controls.pp line 2237

`protected procedure TWinControl.DoAddDockClient(`
`Client: TControl;`
`const ARect: TRect`
`); virtual;`

## Description

The default action is to set the Parent to the new docksite (this control), so that the client is displayed within the new site.